/*
 * File: main.c
 * ------------
 * Executes a prolan source code file passed as first argument.
 */

#include <stdlib.h>
#include <stdio.h>
#include "prolan.h"

/*
 * Function: main
 * --------------
 */
int main(int argc, char **argv) {
    if (argc <= 1) {
        printf("prolan <source file>\n");
        return EXIT_FAILURE;
    }
    else {
        PL_Init();
        PL_Run(argv[1]);
        PL_Terminate();
        return EXIT_SUCCESS;
    }
}
