/*
 * File: prolan.h
 * --------------
 * Prolan interpreter.
 *
 * By: Marcus 2018
 */

#ifndef __PROLAN_H__
#define __PROLAN_H__

/*
 * Function: PL_Init
 * -----------------
 * Init prolan.
 */
void PL_Init();

/*
 * Function: PL_Terminate
 * ----------------------
 * Terminate prolan.
 */
void PL_Terminate();

/*
 * Function: PL_Run
 * ----------------
 * Execute a prolan source code file.
 *
 * filename: source code filename
 *
 * Returns: 1 on success, 0 on failure.
 */
int PL_Run(const char *filename);

#endif
